package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻策略月周类型]
 */
@Component("ionicdemo_TSMonthWeekTypeCodeList")
public class TSMonthWeekTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSMonthWeekType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("EVERY");
		item0.setId("EVERY");
		item0.setText("每周");
		item0.setLabel("每周");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("EVERY",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("ONE");
		item1.setId("ONE");
		item1.setText("第一周");
		item1.setLabel("第一周");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("ONE",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("TWO");
		item2.setId("TWO");
		item2.setText("第二周");
		item2.setLabel("第二周");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("TWO",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("THREE");
		item3.setId("THREE");
		item3.setText("第三周");
		item3.setLabel("第三周");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("THREE",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("FOUR");
		item4.setId("FOUR");
		item4.setText("第四周");
		item4.setLabel("第四周");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("FOUR",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("FIVE");
		item5.setId("FIVE");
		item5.setText("第五周");
		item5.setLabel("第五周");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("FIVE",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("NONE");
		item6.setId("NONE");
		item6.setText("不指定");
		item6.setLabel("不指定");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("NONE",item6);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}